<div class="mat-table copyof-mat-table-style blue-bg-theme"
role="grid">
<div class="mat-header-row"
  role="row">
<!---->
<div class="mat-header-cell"
    role="columnheader"> Task Name </div>
<div class="flex-sm mat-header-cell"
    role="columnheader"> Type </div>
<div class="flex-lg mat-header-cell"
    role="columnheader"> Assignee </div>
<div class="flex-md mat-header-cell"
    role="columnheader"> Duration </div>
<div class="flex-xs mat-header-cell"
    role="columnheader"> &nbsp; </div>
</div>
<div class="mat-row"
  role="row"
  *ngFor="let element of tasks">
<!---->
<div class="mat-cell"
    role="gridcell"> {{element.taskName}} </div>
<div class="flex-sm mat-cell"
    role="gridcell"> {{element.type}} </div>
<div class="flex-lg mat-header-cell"
    role="gridcell">
 <mat-form-field floatLabel="never"
                 *ngIf="element.type === 'Main'"
                 class="native-form-field">
   <mat-select [(value)]="element.assignee"
               placeholder="Select">
     <mat-option value="option1">Sanjay Dasgupta</mat-option>
     <mat-option value="option2">Anil Ambani</mat-option>
     <mat-option value="option3">Ratan Tata</mat-option>
   </mat-select>
 </mat-form-field>
</div>
<div class="flex-md mat-cell mat-form-cell "
    role="gridcell">
 <mat-form-field floatLabel="never"
                 *ngIf="element.type === 'Main'"
                 class="native-form-field">
   <input matInput
          [(ngModel)]="element.duration"
          placeholder="dd:hh:mm">
 </mat-form-field>
</div>
<div class="flex-xs mat-cell"
    role="gridcell"> <button [disabled]="element.type==='Main'"
         mat-icon-button
         title="remove"
         (click)="delete(element)"
         class="btn-icon-delete">
   <mat-icon>delete</mat-icon>
 </button> </div>
</div>
</div>